import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "AlertIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M13 14H11V9H13M13 18H11V16H13M1 21H23L12 2L1 21Z",
            })
        ])
    },
})