import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "AlignHorizontalLeftIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M4 22H2V2H4V22M22 7H6V10H22V7M16 14H6V17H16V14Z",
            })
        ])
    },
})