import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "AlignHorizontalRightIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M20 2H22V22H20V2M2 10H18V7H2V10M8 17H18V14H8V17Z",
            })
        ])
    },
})