import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "AlignVerticalBottomIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M22 22H2V20H22V22M10 2H7V18H10V2M17 8H14V18H17V8Z",
            })
        ])
    },
})