import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "AlignVerticalTopIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M22 2V4H2V2H22M7 22H10V6H7V22M14 16H17V6H14V16Z",
            })
        ])
    },
})