import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "AlphaKIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M9,7V17H11V13.67L13,17H15L12,12L15,7H13L11,10.33V7H9Z",
            })
        ])
    },
})