import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "AlphaYIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M9,7L11,13V17H13V13L15,7H13L12,10L11,7H9Z",
            })
        ])
    },
})