import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "AngleRightIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M5,4H7V11H13V17H20V19H5V4M7,17H11V13H7V17Z",
            })
        ])
    },
})