import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArchiveArrowUpIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M4 21H20V8H4M14 15V18H10V15H7L12 10L17 15M3 3H21V7H3",
            })
        ])
    },
})