import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrangeBringForwardIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M2,2H16V16H2V2M22,8V22H8V18H10V20H20V10H18V8H22Z",
            })
        ])
    },
})