import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowBottomLeftIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M19,6.41L17.59,5L7,15.59V9H5V19H15V17H8.41L19,6.41Z",
            })
        ])
    },
})