import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowBottomRightIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M5,6.41L6.41,5L17,15.59V9H19V19H9V17H15.59L5,6.41Z",
            })
        ])
    },
})