import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowDownBoldIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M9,4H15V12H19.84L12,19.84L4.16,12H9V4Z",
            })
        ])
    },
})