import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowDownThinIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M7.03 13.92H11.03V5L13.04 4.97V13.92H17.03L12.03 18.92Z",
            })
        ])
    },
})