import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowLeftBoldIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M20,9V15H12V19.84L4.16,12L12,4.16V9H20Z",
            })
        ])
    },
})