import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowLeftThinIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M10.05 16.94V12.94H18.97L19 10.93H10.05V6.94L5.05 11.94Z",
            })
        ])
    },
})