import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowRightBoldIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M4,15V9H12V4.16L19.84,12L12,19.84V15H4Z",
            })
        ])
    },
})