import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowRightThinIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M14 16.94V12.94H5.08L5.05 10.93H14V6.94L19 11.94Z",
            })
        ])
    },
})