import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowTopLeftIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M19,17.59L17.59,19L7,8.41V15H5V5H15V7H8.41L19,17.59Z",
            })
        ])
    },
})