import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowTopRightIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M5,17.59L15.59,7H9V5H19V15H17V8.41L6.41,19L5,17.59Z",
            })
        ])
    },
})