import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowUpBoldIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M15,20H9V12H4.16L12,4.16L19.84,12H15V20Z",
            })
        ])
    },
})