import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowUpDownBoldIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M10,8H6L12,2L18,8H14V16H18L12,22L6,16H10V8Z",
            })
        ])
    },
})