import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ArrowUpThinIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M7.03 9.97H11.03V18.89L13.04 18.92V9.97H17.03L12.03 4.97Z",
            })
        ])
    },
})