import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "BedEmptyIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M19,7H5V14H3V5H1V20H3V17H21V20H23V11A4,4 0 0,0 19,7",
            })
        ])
    },
})