import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "BenchIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M23 13H1V15H3V19H5V15H19V19H21V15H23V13Z",
            })
        ])
    },
})