import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "BlindsVerticalIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M20 19V3H4V19H2V21H22V19H20M10 19V5H14V19H10Z",
            })
        ])
    },
})