import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "CallMadeIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M9,5V7H15.59L4,18.59L5.41,20L17,8.41V15H19V5",
            })
        ])
    },
})