import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "CallReceivedIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M20,5.41L18.59,4L7,15.59V9H5V19H15V17H8.41",
            })
        ])
    },
})