import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ChartBarIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M22,21H2V3H4V19H6V10H10V19H12V6H16V19H18V14H22V21Z",
            })
        ])
    },
})