import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ChartHistogramIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3,3H5V13H9V7H13V11H17V15H21V21H3V3Z",
            })
        ])
    },
})