import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "CodeBracketsIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M15,4V6H18V18H15V20H20V4M4,4V20H9V18H6V6H9V4H4Z",
            })
        ])
    },
})