import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "CrossIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M10.5,2H13.5V8H19V11H13.5V22H10.5V11H5V8H10.5V2Z",
            })
        ])
    },
})