import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "CurrencyEthIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M6,5H18V7H6M7,11H17V13H7M5.5,17H18.5V19H5.5",
            })
        ])
    },
})