import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "CurrencyFraIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M18 5V3H7V16H5V18H7V21H9V18H13V16H9V13H17V11H9V5H18Z",
            })
        ])
    },
})