import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "CurtainsClosedIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M23 3H1V1H23V3M2 22H11V4H2V22M22 4H13V22H22V4Z",
            })
        ])
    },
})