import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "DetailsIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M6.38,6H17.63L12,16L6.38,6M3,4L12,20L21,4H3Z",
            })
        ])
    },
})