import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "DistributeHorizontalLeftIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M21 7V17H16V22H14V2H16V7H21M5 2H3V22H5V19H10V5H5V2Z",
            })
        ])
    },
})