import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "DistributeHorizontalRightIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3 17V7H8V2H10V22H8V17H3M19 22H21V2H19V5H14V19H19V22Z",
            })
        ])
    },
})