import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "DistributeVerticalTopIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M17 21H7V16H2V14H22V16H17V21M22 5V3H2V5H5V10H19V5H22Z",
            })
        ])
    },
})