import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "DivingScubaFlagIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M2,6L19,20H2V6M5,4L22,18V4H5Z",
            })
        ])
    },
})