import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "DownloadIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M5,20H19V18H5M19,9H15V3H9V9H5L12,16L19,9Z",
            })
        ])
    },
})