import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "DragHorizontalVariantIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M21 11H3V9H21V11M21 13H3V15H21V13Z",
            })
        ])
    },
})