import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "DragVerticalVariantIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M11 21H9V3H11V21M15 3H13V21H15V3Z",
            })
        ])
    },
})