import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "EjectIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12,5L5.33,15H18.67M5,17H19V19H5V17Z",
            })
        ])
    },
})