import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "EqualizerIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M10,20H14V4H10V20M4,20H8V12H4V20M16,9V20H20V9H16Z",
            })
        ])
    },
})