import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "FastForwardIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M13,6V18L21.5,12M4,18L12.5,12L4,6V18Z",
            })
        ])
    },
})