import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "FlagTriangleIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M7,2H9V22H7V2M19,9L11,14.6V3.4L19,9Z",
            })
        ])
    },
})