import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "FlashIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M7,2V13H10V22L17,10H13L17,2H7Z",
            })
        ])
    },
})