import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "FormatSizeIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M2 4V7H7V19H10V7H15V4H2M21 9H12V12H15V19H18V12H21V9Z",
            })
        ])
    },
})