import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "FormatTextWrappingClipIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M7,21H5V3H7V21M17,3V11H9V13H17V21H19V3H17Z",
            })
        ])
    },
})