import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "FormatVerticalAlignTopIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M8,11H11V21H13V11H16L12,7L8,11M4,3V5H20V3H4Z",
            })
        ])
    },
})