import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ForwardIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12,8V4L20,12L12,20V16H4V8H12Z",
            })
        ])
    },
})