import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "GateBufferIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M6 7.24L15.53 12L6 16.76V7.24M4 4V20L20 12L4 4Z",
            })
        ])
    },
})