import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "HomeIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M10,20V14H14V20H19V12H22L12,3L2,12H5V20H10Z",
            })
        ])
    },
})