import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "HomeVariantIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12,3L20,9V21H15V14H9V21H4V9L12,3Z",
            })
        ])
    },
})