import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "InformationSlabSymbolIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M13 9H11V7H13V9M14 15V17H10V15H11V13H10V11H13V15H14Z",
            })
        ])
    },
})