import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "InformationSymbolIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M11 9H13V7H11V9M11 17H13V11H11V17Z",
            })
        ])
    },
})