import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "LampIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M8,2H16L20,14H4L8,2M11,15H13V20H18V22H6V20H11V15Z",
            })
        ])
    },
})