import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "LoadingIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12,4V2A10,10 0 0,0 2,12H4A8,8 0 0,1 12,4Z",
            })
        ])
    },
})