import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "MenuIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3,6H21V8H3V6M3,11H21V13H3V11M3,16H21V18H3V16Z",
            })
        ])
    },
})