import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "MusicRestHalfIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M6 14H8V10H16V14H18V15H6V14Z",
            })
        ])
    },
})