import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "NailIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M13.5,5V16L12,22L10.5,16V5H13.5M17,2H7V4H17V2Z",
            })
        ])
    },
})