import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "NearMeIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M21,3L3,10.53V11.5L9.84,14.16L12.5,21H13.46L21,3Z",
            })
        ])
    },
})