import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "OctagonIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M15.73,3H8.27L3,8.27V15.73L8.27,21H15.73L21,15.73V8.27",
            })
        ])
    },
})