import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "PentagonIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12,2.5L2,9.8L5.8,21.5H18.2L22,9.8L12,2.5Z",
            })
        ])
    },
})