import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "PineTreeVariantIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M19 12L12 2L5 12H6.86L3 18H10V22H14V18H21L17.14 12H19Z",
            })
        ])
    },
})