import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "PlayOutlineIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M8.5,8.64L13.77,12L8.5,15.36V8.64M6.5,5V19L17.5,12",
            })
        ])
    },
})