import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "PlayPauseIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3,5V19L11,12M13,19H16V5H13M18,5V19H21V5",
            })
        ])
    },
})