import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "PlusIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M19,13H13V19H11V13H5V11H11V5H13V11H19V13Z",
            })
        ])
    },
})