import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "PlusMinusIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M11,4V9H6V11H11V16H13V11H18V9H13V4H11M6,18V20H18V18H6Z",
            })
        ])
    },
})