import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "PlusThickIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M20 14H14V20H10V14H4V10H10V4H14V10H20V14Z",
            })
        ])
    },
})