import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "PollIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3,22V8H7V22H3M10,22V2H14V22H10M17,22V14H21V22H17Z",
            })
        ])
    },
})