import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "PublishIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M5,4V6H19V4H5M5,14H9V20H15V14H19L12,7L5,14Z",
            })
        ])
    },
})