import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "SawtoothWaveIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M11 22V6.83L2 16V13.17L13 2V17.17L22 8V10.83L11 22Z",
            })
        ])
    },
})