import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "SettingsHelperIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M7,22H9V24H7V22M11,22H13V24H11V22M15,22H17V24H15V22Z",
            })
        ])
    },
})