import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ShieldHalfIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12 1L3 5V11C3 16.5 6.8 21.7 12 23V1Z",
            })
        ])
    },
})