import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "SkipForwardIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M4,5V19L11,12M18,5V19H20V5M11,5V19L18,12",
            })
        ])
    },
})