import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "SkipNextOutlineIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M6,18L14.5,12L6,6M8,9.86L11.03,12L8,14.14M16,6H18V18H16",
            })
        ])
    },
})