import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "SkipPreviousIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M6,18V6H8V18H6M9.5,12L18,6V18L9.5,12Z",
            })
        ])
    },
})