import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "SortReverseVariantIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3 11H15V13H3M3 18V16H21V18M3 6H9V8H3Z",
            })
        ])
    },
})