import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "SortVariantIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3,13H15V11H3M3,6V8H21V6M3,18H9V16H3V18Z",
            })
        ])
    },
})