import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "SquareMediumOutlineIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M14,10V14H10V10H14M16,8H8V16H16V8Z",
            })
        ])
    },
})