import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "SquareWaveIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M2 2V12H4V4H11V22H22V12H20V20H13V2H2Z",
            })
        ])
    },
})