import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "StairsIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M15,5V9H11V13H7V17H3V20H10V16H14V12H18V8H22V5H15Z",
            })
        ])
    },
})