import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "StarHalfIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12 2L9.19 8.62L2 9.24L7.45 13.97L5.82 21L12 17.27V2Z",
            })
        ])
    },
})