import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "StarThreePointsIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12,2.6L9,12.4L2,19.9L12,17.6L22,20L15,12.5L12,2.6Z",
            })
        ])
    },
})