import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "TextIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M21,6V8H3V6H21M3,18H12V16H3V18M3,13H21V11H3V13Z",
            })
        ])
    },
})