import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "TextShortIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M4,9H20V11H4V9M4,13H14V15H4V13Z",
            })
        ])
    },
})