import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "TieIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M6,2L10,6L7,17L12,22L17,17L14,6L18,2Z",
            })
        ])
    },
})