import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "TriangleDownOutlineIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12 22L1 3H23M12 18L19.53 5H4.47",
            })
        ])
    },
})