import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "TriangleOutlineIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M12,2L1,21H23M12,6L19.53,19H4.47",
            })
        ])
    },
})