import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "TriforceIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M1.5,21L12,3.5L22.5,21H1.5M12,21L17,12H7L12,21Z",
            })
        ])
    },
})