import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "UploadIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M9,16V10H5L12,3L19,10H15V16H9M5,20V18H19V20H5Z",
            })
        ])
    },
})