import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ViewArrayIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M8,18H17V5H8M18,5V18H21V5M4,18H7V5H4V18Z",
            })
        ])
    },
})