import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ViewCompactIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3,19H9V12H3V19M10,19H22V12H10V19M3,5V11H22V5H3Z",
            })
        ])
    },
})