import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ViewGridIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3,11H11V3H3M3,21H11V13H3M13,21H21V13H13M13,3V11H21V3",
            })
        ])
    },
})