import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ViewParallelIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M19 3V21H15V3H19M14 3V21H10V3H14M9 3V21H5V3H9Z",
            })
        ])
    },
})