import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ViewSequentialIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3 5H21V9H3V5M3 10H21V14H3V10M3 15H21V19H3V15Z",
            })
        ])
    },
})