import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ViewSplitHorizontalIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3,5H21V7H3V5M3,11V9H21V11H3M3,19V13H21V19H3Z",
            })
        ])
    },
})