import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "ViewStreamOutlineIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M4 6V18H21V6H4M19 16H6V13H19V16M6 11V8H19V11H6Z",
            })
        ])
    },
})