import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "VolumeEqualIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M3 9H7L12 4V20L7 15H3V9M14 13H22V15H14M14 9H22V11H14Z",
            })
        ])
    },
})