import { h, defineComponent } from 'vue'

export default defineComponent({
    name: "WindowMaximizeIcon",

    props: {
        title: String,
    },

    render() {
        return h('svg', {
            xmlns: "http://www.w3.org/2000/svg",
            fill: "currentColor",
            viewBox: '0 0 24 24',
            'aria-hidden': true,
        }, [
            this.title && this.title.length > 0 ? h('title', this.title) : null,
            h('path', {
                d: "M4,4H20V20H4V4M6,8V18H18V8H6Z",
            })
        ])
    },
})